$rendering-reference-width: 1500; 

/* ---- BODY & PAGE ---- */
.page-body {
    sv-txt-font: look/$font-a-regular;
	font-size: look/$font-size-xs;
	color: colors/$grey1;
    -webkit-font-smoothing: antialiased;
    font-smooth: always;
    top: 0; /*to allow transitions */
    transition: top 0.3s ease 0s;
    
    &.noscroll {
		/*overflow-y: hidden;*/
	}
	
	h1, h2, h3, h4, h5, h6, p, a, span, strong, b, i, a {
		line-height: 1;
	}
}

.m-newsletter.page-body {
	line-height: null;
}

.page {
	height: 100%;
	width: 100%;
	position: relative;
	min-width: 320px;
	opacity: 100;
	/* important wird benötigt, da es beim anchor-scrolling nach dem entfernen der loading-klasse */
	/* für mich unerklärliches verhalten gibt. opacity ist computed 1, aber im DOM wird das irgendwie nicht übernommen. */
	transition: opacity 0.2s cubic-bezier(0.25, 0.46, 0.45, 0.94) 0s;
	overflow: hidden;
	
	&.loading {
		opacity: 0;
	}
}


/* ---- HEADER ---- */
.header {
	background-color: colors/$grey7;
	height: 160px;
	z-index: 11;
	width: 100%;
	position: fixed;
	transition: all 0.3s ease-out 0s;
	box-shadow: 0px 0px 0px 0px colors/$header-shadow;
	
	&.small-header {
		transform:translate3d(0, -105px, 0);
		box-shadow: 0px 0px 1px 1px colors/$header-shadow;
		
		@Mobile {
			transform:translate3d(0, -75px, 0);
		}
	}
	
	@Mobile {
		height:130px;
	}
	
	
	.link {
		transition:background 0.3s ease 0;
		margin:0;
		
		&:hover {
			text-decoration:none;
			background-color: colors/$grey6;
		}
	}
	
	.icon {
	    
	}
	
	.logo {
		position: relative;
		margin:20px 0;
		height: 65px;
		display: block;
		text-align:center;
		
		@Mobile {
			height: 35px;
			margin-left: 20px;
			padding-right: 20px;
		}
		
		img {
			height: 100%;
			width: auto;
			
			@Mobile {
				max-width: 100px;
			}
		}
	}
	
	.menu-toggler {
		display:block;
		width: 85px;
		height: 50px;
		position:relative;
		transition: all 0.3s ease 0s;
		
		@Mobile {
			width: 60px;
		}
		
		.icon-hamburger {
			font-size: 39px;
			position: absolute;
			top: 50%;
			left: 50%;
			transition: color 0.3s ease 0s;
			transform: translate3d(-50%, -50%, 0);
		}
		
		&.active {
			background-color: colors/$deco2;
		
			.icon-hamburger {
				color: colors/$grey7;
			}
		}
	}

	.menu-toggler.active:hover {
		background-color: colors/$deco2;
		
		.hamburger {
			color: colors/$grey7;
		}
	}
}



/* ---- CONTENT ---- */
.content {
	width: 100%;
	padding-top: 160px;
	display: flex;
	flex-direction: column;
	
	@Mobile {
		padding-top:90px;
	}
	
	> .content @Mobile {
		padding-top:40px;
	}
}

.content-article-wrap {
	display: flex;
	flex-direction: column;
}


/* ---- FOOTER ---- */
.footer {
	
	@PDF {
		margin-top: 10px;
	}
	
	.footer-buttons .b-entry {
		min-width: 250px;
	}
	
	.footer-addresses .b-entry {
		min-width: 200px;
	}
	
	> .section {
		padding-top: 80px;
		padding-bottom: 80px;
		
		@Mobile {
			padding-left: 30px;
			padding-right: 30px;
		}
	}
	
	.section.bottom-footer {
		padding: 30px 50px 17px 50px;
		
		@Mobile {
			padding-left: 30px;
			padding-right: 30px;
		}
		
		.col-1:last-child {
			@Mobile {
				margin-top: 20px;
			}
		}
		
		.text {
			display: inline-block;
			margin-right: 20px;
			line-height: 30px;
			margin-bottom: 0;
			margin-top: 0;
			vertical-align: top;
			
			@Mobile {
				line-height: 24px;
				width: 100%;
			}
		}
		
		.link {
			display: inline-block;
			margin-right: 20px;
			line-height: 30px;
			font-size: 16px;
			margin-bottom: 0;
			margin-top: 0;
			vertical-align: top;
			color: colors/$grey1;
			
			@Mobile {
				line-height: 24px;
				width: 100%;
			}
			
			i {
				font-size:18px;
				position: relative;
				display: inline-block;
				margin-right:5px;
			}
		}
		
		.text-align-right {
			.text {
				margin-left: 0;
				margin-right: 0;
			}
			.link {
				margin-left: 20px;
				margin-right: 0;
			}
		}
		
		.link.social {
			@Mobile {
				width: auto;
			}
		}
	}
	
	.link {
		sv-txt-font: look/$font-a-regular;
		color:colors/$grey1;
		white-space:nowrap;
		
		i {
			font-size:23px;
			margin-right:10px;
			min-width:20px;
			display:inline-block;
			text-align:center;
		}
		
		&:hover {
			text-decoration: underline;
		}
	}
	
	.d-button {
		sv-txt-font: look/$font-a-bold;
		padding-left: 0;
		padding-right: 0;
		color: colors/$grey7;
		
		&:hover {
			background-color: colors/$deco1;
			text-decoration: none;
		}
	}
	
	.logo {
		display: inline-block;
		height: 30px;
		margin-right: 60px;
		
		@Mobile {
			width: 100%;
			margin-bottom: 20px;
			margin-right: 0px;
		}
		
		img {
			width: auto;
			height: 30px;
		}
	}
}


/* ---- COOKIE NOTICE ----- */
.cookie-notice {
	position: fixed;
	z-index: 20;
	transition: transform 0.3s ease 0s;
	
	&.cn-pos-top {
		top: 0;
		transform: translateY(-100%);
	}
	
	&.cn-pos-bottom {
		bottom: 0;
		transform: translateY(100%);
	}
	
	&.visible {
		transform: translateY(0);
	}
	
	.title-col {
		min-width: 200px;
	}
	
	.text-col {
		padding: 0 look/$spacing-column;
		
		@Mobile {
			padding:0;
		}
	}
	
	.pc3richtext a {
		color: colors/$grey6;
		sv-txt-font: look/$font-a-bold;
	}
}
.cookie-notice-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 19;
	opacity: 0;
	visibility: hidden;
	background-color: colors/cookie-notice-overlay-background;
	transition: opacity 0.6s ease 0s, visibility 0.6s ease 0s;
	
	&.visible {
		opacity: 100;
		visibility: visible;
	}
}


/* ---- AJAX SPINNER ---- */
.ajax-spinner-wrapper.global {
	position: fixed;
	height: 100%;
	opacity: 0;
	visibility: hidden;
	background-color: colors/loading-background;
	transition: opacity 0.3s ease 0s;
	pointer-events: none;
	
	.visible {
		opacity: 100;
		visibility: visible;
	}
	
	.ajax-spinner {
		top: 50%;
	}
}

.ajax-spinner-positioner {
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
}

.ajax-spinner-wrapper {
	position: absolute;
	top: 0px;
	left: 0;
	bottom: 0;
	right: 0;
	background-color: colors/$grey7;
	z-index: 9;
	animation: spinner-fadein 0.1s cubic-bezier(0.25, 0.46, 0.45, 0.94) 0s;
	
	&.visible {
		opacity: 100;
		visibility: visible;
	}
	
	.ajax-spinner {
		position: absolute;
	    top: 100px;
	    left: 50%;
	    position: relative;
	    width: 40px;
	    height: 40px;
	    opacity: 0;
		animation: spinner-fadein 6s cubic-bezier(0.25, 0.46, 0.45, 0.94) 1s forwards;
	    
		.ajax-spinner-blade {
			position: absolute;
		    left: 44.5%;
		    top: 37%;
		    width: 10%;
		    height: 25%;
		    opacity: 25;
		    background-color: colors/$deco1;
		    border-radius: 50%/20%;
		    animation: ispinner-fade 1s linear infinite;
		}
	}
}

.load-more-ajax-spinner-wrapper {
	position:relative;
	min-height:100px;
	
	.ajax-spinner {
		top:40px;
		left:20px;
		opacity: 100;
	}
}



/* ---- TOOLTIP ---- */
.tooltip-wrapper {
	position: relative;
	
	&:hover .tooltip {
		opacity: 100;
	}
	
	.tooltip {
		position: absolute;
		margin-top: 6px;
		left: 50%;
		transform: translateX(-50%);
		display: inline-block;
		font-size: 12px;
		sv-txt-font: look/$font-a-bold;
		padding: 5px 8px;
		white-space: nowrap;
		background-color: colors/$deco1;
		color: colors/$grey7;
		pointer-events: none;
		opacity: 0;
		transition: opacity 0.2s ease 0s;
		
		&:before {
			content: '';
			position: absolute;
			top: -5px;
			left: 50%;
			transform: translateX(-50%);
			width: 0; 
			height: 0;
			border-left: 5px solid transparent;
			border-right: 5px solid transparent;
			border-bottom: 5px solid colors/$deco1;
		}
		
		@Mobile {
			display: none;
		}
	}
}

/* ---- MISC --- */
.highlight-on-hover {
	transition: background 0.2s ease 0s;
	
	&:hover {
		background:colors/$grey6;
	}
}
.colored-solid-bar {
	display:block;
	width:100%;
	height:5px;
	background-color: colors/$deco1;
}

.colored-gradient-bar-image {
	display:block;
	width:100%;
	height:5px;
	background-image:52752;
	background-repeat: no-repeat;
	background-size:contain;
	
}

.colored-gradient-bar {
	display:block;
	width:100%;
	height:5px;
	background-color: colors/$deco1;
	background-linear-gradient: to right, colors/$deco1 0%,colors/$deco2 50%, colors/$deco1 100%;
	
	@PDF {
		background-linear-gradient: none;
		height:3px;
		margin-bottom:5px;
	}
}
